import 'dart:async';

typedef FutureCallback<T> = Future<T> Function();

typedef Cancelable<T> = void Function();

typedef FutureCompleter<T> = void Function(Completer<T> completer);

typedef Predicate<T> = bool Function(T? value);
